#
# spec file for package python-adapt-parser
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-adapt-parser
Version:        0.3.4
Release:        bp154.1.16
Summary:        A text-to-intent parsing framework
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/MycroftAI/adapt
Source:         https://github.com/MycroftAI/adapt/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pyee >= 1.0.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.10.0}
BuildRequires:  %{python_module unittest-xml-reporting}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pyee >= 1.0.1
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%python_subpackages

%description
The Adapt Intent Parser is a flexible and extensible intent definition and
determination framework. It is intended to parse natural language text into
a structured intent that can then be invoked programatically.

%prep
%setup -q -n adapt-%{version}
sed -i -s "s/==/>=/" setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec run_tests.py --fail-on-error

%files %{python_files}
%license LICENSE.md
%doc README.md SUPPORT.md GETTING_STARTED.md
%{python_sitelib}/*

%changelog
* Thu Jan 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.3.4
  * minor fixes
* Fri Jun  7 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.3.3
  * Change license to Apache 2.0
  * other minor changes
* Tue Mar  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Siwtch to unittest-xml-reporting
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.2:
  * no upstream changelog
- Switch to github tarball for tests
* Tue Jan  9 2018 alarrosa@suse.com
- Remove unneeded buildrequires
* Fri Nov 17 2017 alarrosa@suse.com
- Don't force to require specific python module versions in requirements.txt,
  but allow newer versions since TW usually updates quite often and
  python-adapt-parser should continue working.
* Tue Sep  5 2017 alarrosa@suse.com
- Initial release of adapt-parser 0.3.0
